/**
 * Cryptographic functions
 */

#pragma once

#include <stdbool.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Generate device private key, if required
     *
     * @returns true if a key was generated, false otherwise
     */
    bool crypto_gen_priv_key();

#ifdef __cplusplus
}
#endif
